XML::DOM::Text(3)

NAME
XML::DOM::Text - A piece of XML text in XML::DOM

DESCRIPTION
XML::DOM::Text extends XML::DOM::CharacterData, which extends XML::DOM::Node.

The Text interface represents the textual content (termed character data in XML) of an Element or Attr. If there is no markup inside an element's content, the text is contained in a single object implementing the Text interface that is the only child of the element. If there is markup, it is parsed into a list of elements and Text nodes that form the list of children of the element.

When a document is first made available via the DOM, there is only one Text node for each block of text. Users may create adjacent Text nodes that represent the contents of a given element without any intervening markup, but should be aware that there is no way to represent the separations between these nodes in XML or HTML, so they will not (in general) persist between DOM editing sessions. The normalize() method on Element merges any such adjacent Text objects into a single node for each block of text; this is recommended before employing operations that depend on a particular document structure, such as navigation with XPointers.

  METHODS

splitText (offset)
    Breaks this Text node into two Text nodes at the specified offset, keeping both in the tree as siblings. This node then only contains all the content up to the offset point. And a new Text node, which is inserted as the next sibling of this node, contains all the content at and after the offset point.

    Parameters:
     offset The offset at which to split, starting from 0.

    Return Value: The new Text node.

    DOMExceptions:

    * INDEX_SIZE_ERR
        Raised if the specified offset is negative or greater than the number of characters in data.

    * NO_MODIFICATION_ALLOWED_ERR
        Raised if this node is readonly.